Subject: Re: bug#55161: 29.0.50; [PATCH] oclosure transcription error redux

From: Stefan Monnier <[email-masked]>
Date: Thu, 28 Apr 2022 09:42:08 -0400

Lars Ingebrigtsen [2022-04-28 12:23:04] wrote:
> dick <[email-masked]> writes:
>
>> -   (:after (apply cdr r) (apply car r))
>> +   (:after (prog1 (apply cdr r) (apply car r)))
>
> I guess this is the same as bug#55149, so I've merged the reports.
>
> Apparently, returning the value of the :after function is what's
> documented to happen (and is what the trunk does now), but it didn't
> use to do that, so it's breaking advice that relies on the old
> behaviour, if I understand 55149 correctly.
> Stefan?

Yes, I implemented the new code from the doc (since the old code was
written in the form of an "undecipherable" bytecode string), but the doc
was wrong.  It's now fixed.

        Stefan